/*----------------------------------------------------------------------------
 *----------------------------------------------------------------------------*/
#include <MKL25Z4.H>
// #include <stdio.h>
#include "gpio_defs.h"
#include "LCD_4bit.h"
#include "LEDs.h"
#include "switches.h"

void Test_Switches(void) {
	unsigned switch_code;
	
	while (1) {
		switch_code = ~READ_SWITCHES; 
		Control_RGB_LEDs( (switch_code & MASK(SW_UP_POS)),
				(switch_code & MASK(SW_RT_POS)),
				(switch_code & MASK(SW_LT_POS)) );
	}
}

/*------------------------------------------------------------------------------
	Example for reading 5-way switch

*------------------------------------------------------------------------------*/


void Test_Switches_And_LCD(void) {
	unsigned switch_code;
	
	while (1) {
		Set_Cursor(9,1);
		switch_code = ~READ_SWITCHES; 
		if (switch_code & MASK(SW_UP_POS)) {
			Print_LCD("  Up  ");
		} else if (switch_code & MASK(SW_DN_POS)) {
			Print_LCD("  Down");
		} else if (switch_code & MASK(SW_LT_POS)) {
			Print_LCD("  Left");
		} else if (switch_code & MASK(SW_RT_POS)) {
			Print_LCD(" Right");
		} else if (switch_code & MASK(SW_CR_POS)) {
			Print_LCD("Center");
		} else {
			Print_LCD("      ");
		}
	}
}




 

/*----------------------------------------------------------------------------
  MAIN function
 *----------------------------------------------------------------------------*/
int main (void) {
	
	Init_5way_Switch();
	Init_RGB_LEDs();
	Test_Switches();

#if 0	
	lcd_init();
	lcd_clear();
	Set_Cursor(0,0);
	Print_LCD("Hello, World!");
	test_switches_and_LCD();
#endif
}

// *******************************ARM University Program Copyright  ARM Ltd 2013*************************************   
